Adds a schema to the schema repository. The schemaIdentity must be unique. The authority, source and entityType will be registered if not present. If lower minor versions are registered the service validates the new schema against breaking changes; if breaking changes are discovered the request fails.
Note: The schema must not reference other schemas with status DEVELOPMENT. By default scope to a schema will be set as INTERNAL
Required roles 'users.datalake.editors' or 'users.datalake.admins' groups to create schema.
Schema description and schema to add
Schema info including status, creation and schemaIdentity
{ "schemaIdentity": { "authority": "osdu", "source": "wks", "entityType": "wellbore", "schemaVersionMajor": 1, "schemaVersionMinor": 0, "schemaVersionPatch": 0 }, "status": "DEVELOPMENT" }
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/schema-service/v1/schema
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-schema-service/schema
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/schema-service/v1/schema \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"schemaInfo": {
"schemaIdentity": {
"authority": "osdu",
"source": "wks",
"entityType": "wellbore",
"schemaVersionMajor": 1,
"schemaVersionMinor": 0,
"schemaVersionPatch": 0
},
"status": "DEVELOPMENT"
},
"schema": {}
}'Schema created
The user who created the schema. This value is taken from API caller token.
The UTC date time of the entity creation
Schema Scope - is it internal or shared. This is a system defined attribute based on partition-id passed.
Schema authority source and type description
{ "createdBy": "user@opendes.com", "dateCreated": "2019-05-23 11:16:03+00:00", "schemaIdentity": { "authority": "osdu", "entityType": "wellbore", "id": "osdu:wks:wellbore:1.0.0", "schemaVersionMajor": 1, "schemaVersionMinor": 1, "schemaVersionPatch": 0, "source": "wks" }, "scope": "INTERNAL", "status": "PUBLISHED", "supersededBy": { "authority": "osdu", "entityType": "wellbore", "id": "osdu:wks:wellbore:1.0.0", "schemaVersionMajor": 1, "schemaVersionMinor": 1, "schemaVersionPatch": 0, "source": "wks" } }